Subject: Re: .gitignore, .gitattributes, .gitmodules, .gitprecious?, .gitacls? etc.

From: Junio C Hamano <[email-masked]>
Date: Sat, 25 Aug 2007 22:33:35 -0700

Dmitry Kakurin <[email-masked]> writes:

> ----- Original Message ----- 
> From: "Junio C Hamano" <[email-masked]>
>>> 2. Storing metadata in regular source-controlled files feels wrong to
>>> me.
>> You are free to _feel_ whatever you want without thinking, but
>
> I did quite a bit of thinking before posting it. Not sure what made you think otherwise.
>
>>  I think reading from
>> index as a fallback measure when work tree file is missing is a
>> very good compromise we came up recently.
>
> Can you specify _exactly_ how it works now? And I'll show you a bunch of corner cases where it's broken.

As I made it clear, it is a compromise.  I am not interested in
discussing corner cases with you -- I am sure there are.

If you are offering improvements, I am all ears.